Skip to main content
POST
/
v2
/
admin
/
reporting
/
calls
/
call-journey
Call Journey
curl --request POST \
  --url https://api.voxo.co/v2/admin/reporting/calls/call-journey \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "callId": "<string>"
}
'
[
  {
    "id": 123,
    "callId": "<string>",
    "step": 123,
    "event": "<string>",
    "channel": "<string>",
    "bridgedChannel": "<string>",
    "application": "<string>",
    "applicationData": "<string>",
    "context": "<string>",
    "extension": "<string>",
    "timestamp": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
callId
string

Call ID to retrieve the journey for

Response

Call journey steps

id
number
required

Step ID

callId
string
required

Call ID

step
number
required

Step number

event
string
required

Event type

channel
string | null
required

Channel name

bridgedChannel
string | null
required

Bridged channel name

application
string | null
required

Application name

applicationData
string | null
required

Application data

context
string | null
required

Dialplan context

extension
string | null
required

Dialplan extension

timestamp
string
required

Event timestamp